uses App, CatList, Objects, Menus, Drivers, Views;

type
 TCat = object(TApplication)
  procedure InitStatusLine; virtual;
 end;

procedure TCat.InitStatusLine;
 var
  R: TRect;
 begin
  GetExtent(R);
  R.A.Y:=R.B.Y-1;
  StatusLine:=New(PStatusLine,Init(R,
   NewStatusDef(hcCatList,hcCatList,
    NewStatusKey('~Del~ logout',kbDel,cmLogout,
    NewStatusKey('~F5~ refresh',kbF5,cmRefresh,
    NewStatusKey('~F6~ down',kbF6,cmDownServer,
    NewStatusKey('~F7~ send',kbF7,cmSendMsg,
    NewStatusKey('~F8~ cns',kbF8,cmBroadToCons,
    NewStatusKey('~F9~ lgn',kbF9,cmLoginStatus,
    NewStatusKey('~cF1~',kbCtrlF1,cmSortByName,
    NewStatusKey('~cF2~',kbCtrlF2,cmSortByConn,
    NewStatusKey('~cF3~',kbCtrlF3,cmSortByStat,
    NewStatusKey('',kbShiftF10,cmPasswords,
    NewStatusKey('~Esc~ quit',kbEsc,cmQuit,
    StdStatusKeys(
    nil)))))))))))),
   NewStatusDef(hcCatChoose,hcCatChoose,
    StdStatusKeys(
    NewStatusKey('~SEND MESSAGE:~',0,0,
    NewStatusKey('~Ins~ toggle user',kbIns,cmToggle,
    NewStatusKey('~Esc~ return to normal mode',kbEsc,cmCancelToggle,
    NewStatusKey('~Enter~ send message',kbEnter,cmSendMsgNow,
    nil))))),
   NewStatusDef(hcPasswords,hcPasswords,
    StdStatusKeys(
    NewStatusKey('~Esc~ close',kbEsc,cmClose,
    NewStatusKey('~F2~ save',kbF2,cmSave,
    nil))),
   NewStatusDef($0000,$0000,
    StdStatusKeys(
    NewStatusKey('~Alt-X~ quit',kbAltX,cmQuit,
    nil)),
   NewStatusDef($0000,$FFFF,
    StdStatusKeys(
    nil),
   nil)))))));
 end;

var
 catty: TCat;
 D: PCatList;
begin
 catty.Init;
 D:=New(PCatList,Init);
 Desktop^.Insert(D);
 catty.Run;
 catty.Done;
end.